aboutsummaryrefslogtreecommitdiffstats
path: root/extra/dovecot/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-03-05 23:14:38 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-06 15:01:19 +0000
commit8d739eb2a582466292cd85a1842bcc0609b4d5f6 (patch)
treea976daf4231f83f6cf312059611d8153abbf9d5d /extra/dovecot/APKBUILD
parent6d7a5a973b0546c9e9f3e14d5a85c28e899e0261 (diff)
downloadaports-8d739eb2a582466292cd85a1842bcc0609b4d5f6.tar.gz
aports-8d739eb2a582466292cd85a1842bcc0609b4d5f6.tar.bz2
aports-8d739eb2a582466292cd85a1842bcc0609b4d5f6.tar.xz
extra/dovecot Initial Commit
Diffstat (limited to 'extra/dovecot/APKBUILD')
-rw-r--r--extra/dovecot/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/extra/dovecot/APKBUILD b/extra/dovecot/APKBUILD
new file mode 100644
index 0000000000..3db04221ea
--- /dev/null
+++ b/extra/dovecot/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer:
+pkgname=dovecot
+pkgver=1.1.11
+pkgrel=0
+pkgdesc="IMAP and POP3 server"
+url="http://www.dovecot.org/"
+license="GPL"
+depends="uclibc"
+makedepends=""
+install="dovecot.install"
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://www.dovecot.org/releases/1.1/$pkgname-$pkgver.tar.gz
+ dovecot.initd
+ $install
+ "
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-pop3d
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+}
+
+md5sums="c973eb41aca79fb16630a16f0d84f765 dovecot-1.1.11.tar.gz
+ca3f9a2d8a75609b1edfa55f2709f598 dovecot.initd
+766fcfe110ce0be9c416e669b08349b6 dovecot.install"